[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#614568: marked as done (liblouis: FTBFS with Python 2.7: ImportError: cannot import name DistutilsOptionError)



Your message dated Thu, 24 Feb 2011 03:02:12 +0000
with message-id <E1PsRT2-00005R-Tb@franck.debian.org>
and subject line Bug#614568: fixed in liblouis 2.2.0-1
has caused the Debian Bug report #614568,
regarding liblouis: FTBFS with Python 2.7: ImportError: cannot import name DistutilsOptionError
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org
immediately.)


-- 
614568: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=614568
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Source: liblouis
Version: 2.0.0-1
Severity: important
User: debian-python@lists.debian.org
Usertags: python2.7

When rebuilt against python-defaults from experimental, liblouis failed to build from source. Tail of the build log:

| cd python; \
|             for py in python2.5 python2.6 python2.7; do \
|                 LD_LIBRARY_PATH=../liblouis/.libs${LD_LIBRARY_PATH+:$LD_LIBRARY_PATH} $py setup.py build; \
|             done
| running build
| running build_py
| creating build
| creating build/lib
| creating build/lib/louis
| copying louis/__init__.py -> build/lib/louis
| running build
| running build_py
| creating build/lib.linux-i686-2.6
| creating build/lib.linux-i686-2.6/louis
| copying louis/__init__.py -> build/lib.linux-i686-2.6/louis
| Traceback (most recent call last):
|   File "setup.py", line 5, in <module>
|     from distutils.core import setup, Command, DistutilsOptionError
| ImportError: cannot import name DistutilsOptionError
| make: *** [build-stamp] Error 1

It doesn't look like DistutilsOptionError is actually used, so removing it from the import list should fix the bug.

--
Jakub Wilk



--- End Message ---
--- Begin Message ---
Source: liblouis
Source-Version: 2.2.0-1

We believe that the bug you reported is fixed in the latest version of
liblouis, which is due to be installed in the Debian FTP archive:

liblouis-bin_2.2.0-1_amd64.deb
  to main/libl/liblouis/liblouis-bin_2.2.0-1_amd64.deb
liblouis-data_2.2.0-1_all.deb
  to main/libl/liblouis/liblouis-data_2.2.0-1_all.deb
liblouis-dev_2.2.0-1_amd64.deb
  to main/libl/liblouis/liblouis-dev_2.2.0-1_amd64.deb
liblouis2_2.2.0-1_amd64.deb
  to main/libl/liblouis/liblouis2_2.2.0-1_amd64.deb
liblouis_2.2.0-1.diff.gz
  to main/libl/liblouis/liblouis_2.2.0-1.diff.gz
liblouis_2.2.0-1.dsc
  to main/libl/liblouis/liblouis_2.2.0-1.dsc
liblouis_2.2.0.orig.tar.gz
  to main/libl/liblouis/liblouis_2.2.0.orig.tar.gz
python-louis_2.2.0-1_amd64.deb
  to main/libl/liblouis/python-louis_2.2.0-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 614568@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Samuel Thibault <sthibault@debian.org> (supplier of updated liblouis package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 30 Jan 2011 17:38:29 +0100
Source: liblouis
Binary: liblouis-dev liblouis2 liblouis-data liblouis-bin python-louis
Architecture: source all amd64
Version: 2.2.0-1
Distribution: unstable
Urgency: low
Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
Changed-By: Samuel Thibault <sthibault@debian.org>
Description: 
 liblouis-bin - Braille translation library - utilities
 liblouis-data - Braille translation library - data
 liblouis-dev - Braille translation library - static libs and headers
 liblouis2  - Braille translation library - shared libs
 python-louis - Python bindings for liblouis
Closes: 614568
Changes: 
 liblouis (2.2.0-1) unstable; urgency=low
 .
   * New upstream release (Closes: Bug#614568).
   * debian/copyright: Update.
Checksums-Sha1: 
 69bd7f524a72df8598de0fa0e4ca6cc9a3a48783 1416 liblouis_2.2.0-1.dsc
 1e94dde45e127af645b6969be165aee3705e27ba 1779770 liblouis_2.2.0.orig.tar.gz
 85637b78c4364eba568758c26e9713f21e9b8cc9 5634 liblouis_2.2.0-1.diff.gz
 33d226fade60ad439b5657c34a71df7588a761a2 1121442 liblouis-data_2.2.0-1_all.deb
 3d72f40a62679ed0f94202ac06647d5bd83d792e 174446 liblouis-dev_2.2.0-1_amd64.deb
 a5762e96ca0e36f4cb44f304fd98d71514d5d83a 65070 liblouis2_2.2.0-1_amd64.deb
 7c7f10409ab4251cae264d012cbfe3991367eb93 36812 liblouis-bin_2.2.0-1_amd64.deb
 0691eb0792c76b539a2cf051940962898e03753b 16782 python-louis_2.2.0-1_amd64.deb
Checksums-Sha256: 
 9881d946cf9a930e24d33ef51e133955dcd462f1d3476491338f2cdb36c0b79a 1416 liblouis_2.2.0-1.dsc
 56e9dd8cba393a4d3220afe4af3507f555cef3870b5b96ea4f8d948db73e2d9b 1779770 liblouis_2.2.0.orig.tar.gz
 7a6f5044fca2edd3159ba1866ec3ff86d7a48cb00c618415862180790714f32c 5634 liblouis_2.2.0-1.diff.gz
 096dcbacd244ee980a72885100fb254f67f5a6ac2856c61392c2d9d1faaa6702 1121442 liblouis-data_2.2.0-1_all.deb
 4cfbfb145766d2f3f7005c51b38b93537cbc1ae7be054523eeec36e4f8d27ff7 174446 liblouis-dev_2.2.0-1_amd64.deb
 d28961e68bacf0ef6844ce5d96109aa03b307b6570e8c0e302146376e2076aa0 65070 liblouis2_2.2.0-1_amd64.deb
 56b612dc3693ea4a3d054a910b31e8771135630b4516aa3b7129f0929746969a 36812 liblouis-bin_2.2.0-1_amd64.deb
 218da2d0f2befaec6e6854464b3b0fbd0c38d13abc998270e67760ae1f1d6934 16782 python-louis_2.2.0-1_amd64.deb
Files: 
 a702acf3508fe8e13de4d8f7feac7caa 1416 libs extra liblouis_2.2.0-1.dsc
 bea9776105e86663d3ca1a6214278097 1779770 libs extra liblouis_2.2.0.orig.tar.gz
 34aca184c8b1e7a70ced5da712813b2f 5634 libs extra liblouis_2.2.0-1.diff.gz
 47d32d03b9140ec18383efcbe81e8c9c 1121442 text extra liblouis-data_2.2.0-1_all.deb
 3546a1f079bc6a64c8cd77ba7a889448 174446 libdevel extra liblouis-dev_2.2.0-1_amd64.deb
 64e4baab7f0927623d662587f3dff916 65070 libs extra liblouis2_2.2.0-1_amd64.deb
 6c40849d51361f32eeb7d406511f0226 36812 text extra liblouis-bin_2.2.0-1_amd64.deb
 425d9503d54c9c46ba4d8d43029e2094 16782 python extra python-louis_2.2.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iF4EAREIAAYFAk1lyFAACgkQg7iRWpzNNcO81wD8CmmPR+lIZa6V4KSX3rtxUw5A
BRrixtJKczZBpnXCub8A/j2THqcs9X1B32E6+YiGhOJaeyLYhWw3uIEBZ9uQpwA/
=NDSI
-----END PGP SIGNATURE-----



--- End Message ---

Reply to: